Package Details: vim-rust-git r337.fc11d02-1

Git Clone URL: https://aur.archlinux.org/vim-rust-git.git (read-only)
Package Base: vim-rust-git
Description: Syntax and supporting functionality for the Rust filetype
Upstream URL: https://github.com/rust-lang/rust.vim
Licenses: MIT, Apache
Submitter: yjerem
Maintainer: yjerem
Last Packager: yjerem
Votes: 25
Popularity: 0.047316
First Submitted: 2014-08-03 13:01
Last Updated: 2016-08-16 06:16

Dependencies (3)

Required by (0)

Sources (2)

Latest Comments

kpcyrd commented on 2017-01-07 23:50

==> Starting pkgver()...
/tmp/yaourt-tmp-user/aur-vim-rust-git/./PKGBUILD: line 19: cd: /tmp/yaourt-tmp-user/aur-vim-rust-git/src/rust.vim: No such file or directory
==> ERROR: pkgver is not allowed to be empty.
==> ERROR: pkgver() generated an invalid version:
==> ERROR: Makepkg was unable to build vim-rust-git.
==> Restart building vim-rust-git ? [y/N]

Can you please fix this. Also, don't use git:// as source, there is no checksum verification and you're installing unauthenticated files from the network as root.

ReStrictOr commented on 2016-04-24 16:58

I can't use the rustfmt command, since
/autoload/rustfmt.vim and /plugin/rustfmt.vim are not included.

yjerem commented on 2015-02-01 05:06

@lilydjwg: done!

lilydjwg commented on 2015-02-01 04:25

I guess it's time to switch upstream to https://github.com/rust-lang/rust.vim

yjerem commented on 2014-10-03 04:18

Package updated to install the new ${vimfiles}/compiler/cargo.vim file.

yjerem commented on 2014-09-13 21:49

I guess I can't make vim-rust-git conflict with rust, because rust-nightly-bin provides rust. And this package is specifically for rust-nightly-bin users, because it's the only rust package that doesn't install the vimfiles.

yjerem commented on 2014-09-13 21:30

@emanueLczirai: Thanks for letting me know, I guess some rust packages include the vim stuff, and others don't, like rust-nightly-bin. I'll add the conflicting ones to the PKGBUILD.

abandonedaccount commented on 2014-09-13 19:56

looks like vim-rust-git conflicts with rust package
after having installed vim-rust-git and now trying to install rust, failed with:
(2/2) checking for file conflicts [######################] 100%
error: failed to commit transaction (conflicting files)
rust: /usr/share/vim/vimfiles/after/syntax/rust.vim exists in filesystem
rust: /usr/share/vim/vimfiles/autoload/rust.vim exists in filesystem
rust: /usr/share/vim/vimfiles/compiler/rustc.vim exists in filesystem
rust: /usr/share/vim/vimfiles/doc/rust.txt exists in filesystem
rust: /usr/share/vim/vimfiles/ftdetect/rust.vim exists in filesystem
rust: /usr/share/vim/vimfiles/ftplugin/rust.vim exists in filesystem
rust: /usr/share/vim/vimfiles/indent/rust.vim exists in filesystem
rust: /usr/share/vim/vimfiles/plugin/rust.vim exists in filesystem
rust: /usr/share/vim/vimfiles/syntax/rust.vim exists in filesystem
rust: /usr/share/vim/vimfiles/syntax_checkers/rust/rustc.vim exists in filesystem
Errors occurred, no packages were upgraded.

but after removing vim-rust-git then allowed the rust package to install

bitcrusher commented on 2014-09-01 20:53

thanks for this!

oconnor663 commented on 2014-08-26 20:12

Thanks!